Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Problem with Firefox upgrade to 3.5.5

  1. #1

    Default Problem with Firefox upgrade to 3.5.5

    I was using FireFox 3.0.15 and decided to upgrade to 3.5.5

    So I downloaded the archive and extracted it to /usr/lib64/firefox where 3.0.15 was installed.

    Now I seem to have a slightly mixed firefox. The Help/About says I'm still using 3.0.15, but the Page Back/Reload/Home have no icons and the Tabs have a kind of grey O which only appears when you hover over where the X used to be.

    In the Help, there is no Check for Updates, is that only in the Windows version?

    All my extensions/addons are gone. So it looks like its using a new profile, but all my bookmarks are still there.

    What to do to get this working properly as 3.5.5 with all my extensions/addons working?

  2. #2
    Join Date
    Feb 2009
    Location
    Finland
    Posts
    108

    Default Re: Problem with Firefox upgrade to 3.5.5

    sounds like you might have borked it a bit , instead of having to go through that process, try adding this repository and updating if you still can. Additional YaST Package Repositories - openSUSE

  3. #3

    Default Re: Problem with Firefox upgrade to 3.5.5

    Is there anything wrong with this link. I get an error when trying to add this repository?

  4. #4
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,985

    Default Re: Problem with Firefox upgrade to 3.5.5

    Probably a typo. You can find it in the community repos option when adding a new repository in Yast.

  5. #5

    Default Re: Problem with Firefox upgrade to 3.5.5

    I must be extremely obtuse today. I don't find it in the community repositories either. I have added 2 repositories. Main (Non-OSS) and openSUSE-Buildservice-Mozilla (or some thing similar) but non of them offer me Firefox 3.5.5 for download.

  6. #6

    Default Re: Problem with Firefox upgrade to 3.5.5

    Anyone else have any ideas?

  7. #7
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,985

    Default Re: Problem with Firefox upgrade to 3.5.5

    You may want to check the repo priorities. If mozilla has lower priority (i.e., larger number, 99 is the standard I think) and updates is, say, 98 or lower, then Yast software manager will preselect the updates package. Of course, you can override this in the versions tab, marking the package version you want.

  8. #8

    Default Re: Problem with Firefox upgrade to 3.5.5

    Typically you dont go to the friefox website like you do in windows in linux, typically we use repositories.
    You may wish to try the mozilla repository:
    Index of /repositories/mozilla/openSUSE_11.1

    firefox 3.5.5 is in that repo, you can also install it "the windows way" with that link too, just choose your architecture (32bit, 64bit) and you will be fine.

  9. #9

    Default Re: Problem with Firefox upgrade to 3.5.5

    I only see Firefox 3.0.15 in that repository. No 3.5.5. Could that be because I have a mixed system and it thinks I have 3.5.5 already, even though Help says it's 3.0.15. If so. How to fix?

  10. #10
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,985

    Default Re: Problem with Firefox upgrade to 3.5.5

    It prefers 3.0.x because update repo priority is higher (smaller number) than mozilla repo.

    Supposing you did include the mozilla repo correctly, you can choose what version to install by clicking it in the versions tab in Yast>Software manager.

    Please take the time to look it thoroughly, it should become clear to you then.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •